Welcome to INDUCTA Revit Link

INDUCTA Revit Link provides an efficient way to exchange data between Revit® and INDUCTA softwares. Installed under Revit Structure program's 'Add-Ins' menu, the link provides easy exportation of Revit model to RCB and SLB model. Vice versa, models from RCB and SLB can be also readily imported into Revit program.

The latest version of INDUCTA Revit Link is compatible with Revit 2017. Please see the following link on INDUCTA website for previous versions:

https://www.inducta.com.au/RevitLink/RevitLink2016.html

SLB is the latest release of INDUCTA's popular SLB design program that provides FEM modeling and design of suspended or slab-on-ground concrete floor systems.

RCB is a 3D modelling and analysis package, coupled with its wide range of design features, it automatically calculates the lateral loads (wind and earthquake loads) and torsion effects, performs the column/wall design, soil-structure interaction and construction stages analysis.


Getting Started

  • Download the link

The latest version of the Link can be downloaded via https://www.inducta.com.au/RevitLink/RevitLink2016.html

Notice that since Revit 2015, only 64bit versions are provided. Until 2017 edition, Revit offered Revit Structure as a standalone application or as part of Revit Suite. Please ensure that the appropriate version of the software is downloaded.

  • Install the link

Install the link on a computer which has Revit installed.Once the installation is finished, open Revit (or alternatively Revit Structure for some older versions), a command will appear under the "Add-ins" menu.

  • Start the INDUCTA Revit link

INDUCTA Revit Link 2017 button will show the following interface:

Next chapter will show the correct way to export a Revit model to RCB (and SLB)


Exporting a Revit Model

The following steps will show how to export a Revit model to RCB program for analysis. The procedure applies to SLB export too.

Step 1 Create/Open a model in Revit.

(Model by Clinton Macuga, courtesy of BG Group Engineers)

Step 2 Open the Link window (" Add-Ins| External Tools | Inducta Revit Link 2017").

Under 'Export' panel, click the "Read Elements..." button . It will start the the data extraction.

Currently the link supports the following data during exchange*:

· Slabs

· Beams

· Columns

· Walls

· Line Loads

· Point Loads

· Load Cases

· Load Combinations

· Level

Check the boxes in the 'Input' panel to choose which data to read:

If doors and windows on the walls are to be exported, user should choose the option, typically option 2 is used as doors and windows are inserted to the wall as door/window family instances. Depending on the numbers of doors and windows, this step can take up a little bit of time.

When 'Read Elements' is finished, "Export to R/C Building" button will be enabled if 'Level to export' is set to 'All levels'. (otherwise, 'Export to SLABS' button will be enabled)

Step 3 Save to a RCB data file.

Click on 'Export to RCB' button to proceed to save the data to a .rcbx file.

Or, to export one level to a SLB data file , after 'Read Element...' is completed, and select which level to export first.

The 'Export to SLB' button will be enabled. Click it to open up the 'Save' dialog box to specify the .slbx file location.

Step 4 Open the file in RCB.

Check 'Storey Heights' to remove any unnecessary levels:

This window allows the user to examine the levels exported from Revit and let the program to delete any non-structural levels. First step is to select the primary levels, such as Basement 1, Ground Level, Level 1, ..., Roof etc.. Second step is to click on the 'Select Primary Levels and auto-Delete unwanted Levels' button. The result will look like below:

Reviewing the model in 3D:

(notice the Roof is not present in the 3D view, this is because the roof is not concrete mateiral in the Revit data file, which will be ignored by the link during exporting)

Step 5 Mesh to recover the slab thicknesses

From 'Solve' menu, select 'Mesh all floors':

quite often user will encounter double/overlapped walls in the model, these errors will prevent the meshing to be continued. RCB populates a listbox and guides the user to those walls for examine.

Also 'Negative Co-ordinates' error will show, in this case, go to Edit Tab and select Move (under Model) > Auto Shift command

After the mesh, show the slab thicknesses in color below:

* Please note that Area Loads are not supported at this stage in INDUCTA Revit Link 2017, however they willl be included at a later date.


Modeling suggestions for Revit Building

Revit Modeling Suggestions (for BIM specialists)

To enable a comprehensive and smooth data transfer between Revit and INDUCTA software, Revit Structure model should follow the following recommented rules:

1) SLB and RCB software are for the analysis of reinforced concrete structures. Therefore structural elements that are to be exported should use concrete material.

Slab and wall elements in the Revit model will be exported regardless of their material. Column and beam elements however will not, and their material have to be set to concrete.

To allow the link to recognize the column and beam elements, the family name text of these elements should contain "Concrete" or "CONCRETE" or "concrete". User is suggested to use the built-in family symbol for the structural columns or beams, such as "Concrete-Rectangular-Column", "Concrete-Round-Column", "Concrete-Square-Column", "Concrete-Rectangular Beam".

2) Revit is used as a tool by many disciplines, and there may be a lot of information present in a Revit model that is not required for structural modelling in RCB. Note that unlike the procedure for importing the model from CAD, importing from Revit does not involve deleting the unessential elements. It is important to note that only the objects tagged as "Structural" will be imported into RCB.

Structural elements should be marked as 'Structural' and have 'Enable Analytical' checked in the property window.

3) The user should define the primary levels as expected from a structural analysing packege (RCB), for example using 'Basement 1, Ground Level, Level 1,..., Roof'.

Beam, slab, pointload, line load and area load elements should be created on a primary level.

4) The link supports only rectangular and circular shape columns. The family name should include text such as "Circular" (or "Round") for the circular shape columns, for example the built-in "Concrete-Round-Column" type.

5) In RCB, each wall and column element are modeled floor to floor. For example, if a column is continuous through 3 levels (without any slab constrain between its bottom section and top section), in RCB, this column has to be modeled as three columns, one for each level. There is no restriction for the Revit model to be modeled like that, as a matter of fact, Revit link will try to 'make sense' out of it, and create columns/walls floor to floor, but it is error prone, especially there are doors/windows presented on the walls (precast) for example. So in order to be compatible with RCB, make sure model them floor to floor during modeling or 'cleaning up' of the Architechtural Revit model.

See the screenshot example below. The highlighted wall was modeled from mid-height of one level to mid-height of the next level up. It won't be exported to RCB correctly:

Instead, wall (and column) should modeled from level to level, as shown below for example:

If a Revit model received is an Architectural model, a reasonable amount of time should be spent to 'clean up' the model to be Structural design ready, which includes break up the continuous structural walls or columns into segments.

6) Use Revit built-in tool to insert window and door instances to the hosted wall element.

And use built-in properties 'Width' and 'Height' when reading the data (not using 'Rough Width' and 'Rough Height').

7) Ensure vertical elements line up

Misaligned walls or columns will affect the meshing in slabs. In the image below the meshing error is caused by the column offset. Note that this will depend on the size of the mesh, and the software should be able to handle this case if the mesh is refined.

8) Prepare slab outline as for CAD, extend slab edges past centrelines of walls and columns

As walls are line supports, and columns are point supports in our software, the user has to take care to extend the edge of the slab to the centreline of the wall or column in order to support it. The image below is an example of not following this guideline. As a result, when analysing the exported model in RCB, the slab will have much larger deflection than expected at this span.

9) Footing data exchange is not supported by the link.


Import RCB or SLB model into Revit

To import RCB or SLB Model into Revit, select the elements to be read from the Import tab in INDUCTA Revit link, then press the relevant Import button: